<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 20.100 registration form</title>
    <!-- Nhúng thư viện bootstrap 4-->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js"></script>
</head>
<body>
    <div class="container jumbotron">
        <div class="row">
            <div class="col-sm-12">
                <h4 class="text-center text-primary">Registration Form - Form đăng kí nhập cảnh</h4>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12">
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>First Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-first-name" placeholder="Nhập first name">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Passport <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-passport" placeholder="Nhập passport">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Last Name <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-last-name" placeholder="Nhập last name">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Email</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-email" placeholder="Nhập email">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Birthday <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-birthday" placeholder="Nhập birthday">
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Country <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-country" placeholder="Nhập country">
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Gender <span class = "text-danger">(*)</span></label>
                            </div>
                            <div class="col-sm-8">
                                <div class = "row">
                                    <div class = "col-sm-3">
                                        <input type="radio" name="select-gender" value="male">
                                        <label for="male-gender">Male</label>
                                    </div>
                                    <div class = "col-sm-4">
                                        <input type="radio" name="select-gender" value="female">
                                        <label for="female-gender">Female</label>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6">
                        <div class="row form-group">
                            <div class="col-sm-4">
                                <label>Region</label>
                            </div>
                            <div class="col-sm-8">
                                <input class="form-control bg-light" id="inp-region" placeholder="Nhập region">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-2">
                <label>Subject</label>
            </div>
            <div class="col-sm-10">
                <textarea class="form-control" id="inp-subject"></textarea>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-right">
                <button class="btn btn-success" onclick="onBtnSendData()">Send</button>
            </div>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var gInpFirstName = document.getElementById("inp-first-name");
    var gInpLastName = document.getElementById("inp-last-name");
    var gInpCountry = document.getElementById("inp-country");
    var gInpEmail = document.getElementById("inp-email");
    var gInpBirthday = document.getElementById("inp-birthday");
    var gInpPassport = document.getElementById("inp-passport");
    var gInpRegion = document.getElementById("inp-region");
    var gInpSubject = document.getElementById("inp-subject");
    var gSelectGender = document.getElementsByName("select-gender");
    var gGenderSelected = "";
    var gIsDataCheck = false;


    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    
    //kiểm tra dữ liệu 
    function onBtnSendData () {
        dataValidation();
        if (gIsDataCheck == true) {
        console.log ("First name : " + gInpFirstName.value.trim());
        console.log ("Last name : " + gInpLastName.value.trim())
        console.log ("Birthday : " + gInpBirthday.value.trim())
        console.log ("Gender : " + gGenderSelected)
        console.log ("Passport : " + gInpPassport.value.trim())
        console.log ("Email : " + gInpEmail.value.trim())
        console.log ("Country : " + gInpCountry.value.trim())
        console.log ("Region : " + gInpRegion.value.trim())
        console.log ("Subject : " + gInpSubject.value.trim())
        } else {
            console.log("Kiểm tra lại thông tin nhập");
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function dataValidation () {
        var vRequiredInfoCheck = [gInpFirstName,gInpLastName,gInpPassport,gInpBirthday,gInpCountry];
        gIsDataCheck = true; 
        try {
            for (let bIndex in vRequiredInfoCheck) {
                let bInfoCheck = vRequiredInfoCheck[bIndex].value.trim();
                if (bInfoCheck == "") {
                    throw("Vui lòng điền các ô bắt buộc");
                }
            }
            for (let bIndex in gSelectGender) {
                if (gSelectGender[bIndex].checked == true) {
                    gGenderSelected = gSelectGender[bIndex].value;
                    break;
                }
            }
            if (gGenderSelected == "") {
                throw ("Bạn chưa chọn giới tính");
            }
            console.log ("Data hợp lệ")
        }
        catch (err) {
            console.log(err);
            gIsDataCheck = false;
        }
    }
</script>
</html>
